Description

If I set --foreman-db-manage=false when running installer, it still tries to install a database (PostgreSQL in my case). I observed this

on both Ubuntu 16.04 and CentOS 7.

Answers:

@$ grep db_manage /etc/foreman-installer/scenarios.d/foreman-answers.yaml

  db_manage: false

  db_manage_rake: true

@

 params.pp (this seems to be a generated file?):

@$ grep db_manage /usr/share/foreman-installer/modules/foreman/manifests/params.pp

  $db_manage   = true

  $db_manage_rake = true

@

History

#1 - 08/02/2017 02:29 AM - Qingbo Zhou

- Subject changed from --foreman-db-manage not  to --foreman-db-manage=false not honored

#2 - 08/06/2017 06:05 AM - Anonymous

Before I try to reproduce this, do you run the installer described like in https://theforeman.org/manuals/1.15/index.html#3.2.3InstallationScenarios

"Using an external database server"?

#3 - 08/06/2017 06:05 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#4 - 12/30/2017 01:46 AM - Anonymous

- Status changed from Assigned to Feedback

- Assignee deleted (Anonymous)
